#ifndef KRIMI_DINNER_GFX_INTERFACE_H
#define KRIMI_DINNER_GFX_INTERFACE_H

#include "Gfx.h"
#include "StringRepository.h"

struct OpenGLGfx;

OpenGLGfx* createOpenGLGfx();

void destroyOpenGLGfx(OpenGLGfx* gfx);

void openGLGfxPushRect(OpenGLGfx* gfx, KDERect rect, KDEStringHandle texture);

void openGLGfxPushFontRect(OpenGLGfx* gfx, KDERect rect,
                           float char_height,
                           KDEStringHandle font,
                           KDEStringHandle id);

void openGLRenderFrame(OpenGLGfx* gfx, float width, float height);

void openGLGetTextureSize(OpenGLGfx* gfx, KDEStringHandle texture, unsigned int* w, unsigned int* h);

#endif

